Index: modules/TimeOfFlight.cc
===================================================================
--- modules/TimeOfFlight.cc	(revision 90132e091842f1abe31456d20a16a4db5cbe506f)
+++ modules/TimeOfFlight.cc	(revision 1ad8ecafa851b71ae0e4d2c2ddf5b92c73c0c41e)
@@ -52,5 +52,5 @@
 
 TimeOfFlight::TimeOfFlight() :
-  fItTrackInputArray(0), fItVertexInputArray(0)
+  fItInputArray(0), fItVertexInputArray(0)
 {
 }
@@ -71,6 +71,6 @@
 
   // import track input array
-  fTrackInputArray = ImportArray(GetString("TrackInputArray", "MuonMomentumSmearing/muons"));
-  fItTrackInputArray = fTrackInputArray->MakeIterator();
+  fInputArray = ImportArray(GetString("InputArray", "MuonMomentumSmearing/muons"));
+  fItInputArray = fInputArray->MakeIterator();
 
   // import vertex input array
@@ -86,5 +86,5 @@
 void TimeOfFlight::Finish()
 {
-  if(fItTrackInputArray) delete fItTrackInputArray;
+  if(fItInputArray) delete fItInputArray;
   if(fItVertexInputArray) delete fItVertexInputArray;
 }
@@ -103,6 +103,6 @@
   ComputeVertexMomenta();
 
-  fItTrackInputArray->Reset();
-  while((candidate = static_cast<Candidate *>(fItTrackInputArray->Next())))
+  fItInputArray->Reset();
+  while((candidate = static_cast<Candidate *>(fItInputArray->Next())))
   {
 
@@ -116,6 +116,4 @@
     // time at vertex from MC truth
     t_truth = candidateInitialPosition.T() * 1.0E-3 / c_light;
-
-    if (candidate->Position.Vect().Mag() < 5.) continue;
 
     // various options on how to calculate the vertex time
@@ -210,6 +208,6 @@
     while((constituent = static_cast<Candidate *>(itGenParts.Next())))
     {
-      fItTrackInputArray->Reset();
-      while((track = static_cast<Candidate *>(fItTrackInputArray->Next())))
+      fItInputArray->Reset();
+      while((track = static_cast<Candidate *>(fItInputArray->Next())))
       {
         // get gen part that generated track
Index: modules/TimeOfFlight.h
===================================================================
--- modules/TimeOfFlight.h	(revision 90132e091842f1abe31456d20a16a4db5cbe506f)
+++ modules/TimeOfFlight.h	(revision 1ad8ecafa851b71ae0e4d2c2ddf5b92c73c0c41e)
@@ -48,8 +48,8 @@
   Int_t fVertexTimeMode;
 
-  TIterator *fItTrackInputArray; //!
+  TIterator *fItInputArray; //!
   TIterator *fItVertexInputArray; //!
 
-  const TObjArray *fTrackInputArray; //!
+  const TObjArray *fInputArray; //!
   const TObjArray *fVertexInputArray; //!
 
Index: modules/TimeSmearing.cc
===================================================================
--- modules/TimeSmearing.cc	(revision 90132e091842f1abe31456d20a16a4db5cbe506f)
+++ modules/TimeSmearing.cc	(revision 1ad8ecafa851b71ae0e4d2c2ddf5b92c73c0c41e)
@@ -52,5 +52,5 @@
 
 TimeSmearing::TimeSmearing() :
-  fItTrackInputArray(0), fResolutionFormula(0)
+  fItInputArray(0), fResolutionFormula(0)
 {
 	fResolutionFormula = new DelphesFormula;
@@ -74,6 +74,6 @@
 
   // import track input array
-  fTrackInputArray = ImportArray(GetString("TrackInputArray", "MuonMomentumSmearing/muons"));
-  fItTrackInputArray = fTrackInputArray->MakeIterator();
+  fInputArray = ImportArray(GetString("InputArray", "MuonMomentumSmearing/muons"));
+  fItInputArray = fInputArray->MakeIterator();
 
 
@@ -86,5 +86,5 @@
 void TimeSmearing::Finish()
 {
-  if(fItTrackInputArray) delete fItTrackInputArray;
+  if(fItInputArray) delete fItInputArray;
 }
 
@@ -100,6 +100,6 @@
   const Double_t c_light = 2.99792458E8;
 
-  fItTrackInputArray->Reset();
-  while((candidate = static_cast<Candidate *>(fItTrackInputArray->Next())))
+  fItInputArray->Reset();
+  while((candidate = static_cast<Candidate *>(fItInputArray->Next())))
   {
 
Index: modules/TimeSmearing.h
===================================================================
--- modules/TimeSmearing.h	(revision 90132e091842f1abe31456d20a16a4db5cbe506f)
+++ modules/TimeSmearing.h	(revision 1ad8ecafa851b71ae0e4d2c2ddf5b92c73c0c41e)
@@ -49,7 +49,7 @@
   Int_t fVertexTimeMode;
 
-  TIterator *fItTrackInputArray; //!
+  TIterator *fItInputArray; //!
 
-  const TObjArray *fTrackInputArray; //!
+  const TObjArray *fInputArray; //!
 
   TObjArray *fOutputArray; //!
